# QVM: Quaternions, Vectors, Matrices

### operator*(mat,mat)

#include <boost/qvm/mat_operations.hpp>

    namespace boost
    {
        namespace qvm
        {
            //Only enabled if:
            //  is_mat<A>::value && is_mat<B>::value &&
            //  mat_traits<A>::cols==mat_traits<B>::rows
            template <class A,class B>
            typename deduce_mat2<A,B,mat_traits<A>::rows,mat_traits<B>::cols>::type
            operator*( A const & a, B const & b );
        }
    }

#### Returns:

The result of multiplying the matrices a and b.

See also: boost/qvm/mat_operations.hpp | operator*=(mat,mat)